# Generated from jekyll-seo-tag-2.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-seo-tag

Name: rubygem-%{gem_name}
Version: 2.6.1
Release: 1%{?dist}
Summary: A Jekyll plugin to add metadata tags for search engines and social networks to better index and display your site's content
License: MIT
URL: https://github.com/benbalter/jekyll-seo-tag
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(html-proofer) >= 3.7
# BuildRequires: rubygem(html-proofer) < 4
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop-jekyll) >= 0.4
# BuildRequires: rubygem(rubocop-jekyll) < 1
BuildArch: noarch

%description
A Jekyll plugin to add metadata tags for search engines and social networks to
better index and display your site's content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/jekyll-seo-tag.gemspec
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.markdown
%doc %{gem_instdir}/docs

%changelog
* Fri May 17 2019 mockbuilder - 2.6.1-1
- Initial package
